using Demo.Domain.Models;

namespace Demo.Domain.UseCase
{
    public interface IGroupUseCase
    {
        List<Group> GetAllGroups();
        bool RemoveUserByGuid(Guid userGuid);
        Group UpdateGroup(Group group);
        GroupLocalEntity GetGroupById(int groupId);
        bool CreateGroup(Group group);
    }
}